配送方法取得
GET
/delivery_methods/{delivery_method_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_methods/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_methods/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'配送方法を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”delivery_method_id
required
string format: uuid
配送方法ID
Responses
Section titled “Responses”取得成功
Media typeapplication/json
DeliveryMethodResponse
object
id
配送方法ID
string format: uuid
name
名前
string
deliveryCode
配送コード
integer
deliveryMethodCategoryCode
配送方法種別
1: 自社配送2: メーカー直送3: 店舗受け取り4: その他
integer
isEnabled
有効フラグ
true: 有効false: 無効
boolean
Examples
Exampledefault
{ "id": "12345678-1234-1234-1234-1234567890ab", "name": "自社配送", "deliveryCode": 10, "deliveryMethodCategoryCode": 1, "isEnabled": true}指定されたIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定されたIDのリソースが見つかりません", "status": 404}